package com.willalp.number.domain.req;

import java.util.Date;

public class NumberRuleReq {
    public NumberRuleReq() {
    }

    public NumberRuleReq(String ruleId) {
        this.ruleId = ruleId;
    }

    /**
     * 规则id
     */
    private String ruleId;

    /**
     * 日期格式入参(年月规则)
     */
    private Date date;

    /**
     * 固定参数入参
     */
    private String input;

    public String getRuleId() {
        return ruleId;
    }

    public void setRuleId(String ruleId) {
        this.ruleId = ruleId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }
}
